Package com.smartgwt.logicalstructure.widgets.grid

# Class ListGridLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.grid.ListGridLogicalStructure

Direct Known Subclasses:
  `CalendarViewLogicalStructure`, `CubeGridLogicalStructure`, `DateGridLogicalStructure`, `ListPaletteLogicalStructure`, `MenuLogicalStructure`, `PickListMenuLogicalStructure`, `RecordEditorLogicalStructure`, `TableViewLogicalStructure`, `TreeGridLogicalStructure`

public class ListGridLogicalStructure extends VLayoutLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `advancedFieldPickerThreshold`
  `String`
  `advancedFilteringText`
  `String`
  `aiFilterWindowHint`
  `String`
  `aiFilterWindowInstructions`
  `String`
  `aiFilterWindowTitle`
  `String`
  `aiHoverContentsPrefix`
  `String`
  `aiHoverRetryDelay`
  `String`
  `aiSortFieldMaxRecordsMessage`
  `String`
  `allowFilterExpressions`
  `String`
  `allowFilterOperators`
  `String`
  `allowFilterWindow`
  `String`
  `allowRowSpanning`
  `String`
  `alternateBodyStyleName`
  `String`
  `alternateFieldFrequency`
  `String`
  `alternateFieldStyles`
  `String`
  `alternateFieldSuffix`
  `String`
  `alternateRecordFrequency`
  `String`
  `alternateRecordStyles`
  `String`
  `alternateRecordSuffix`
  `String`
  `alwaysShowEditors`
  `String`
  `alwaysShowOperatorIcon`
  `String`
  `animateFolderEffect`
  `String`
  `animateFolderMaxRows`
  `String`
  `animateFolders`
  `String`
  `animateFolderSpeed`
  `String`
  `animateFolderTime`
  `String`
  `animateRemoveRecord`
  `String`
  `animateRemoveSpeed`
  `String`
  `animateRemoveTime`
  `String`
  `animateRollOver`
  `String`
  `animateRollUnder`
  `String`
  `animateSelection`
  `String`
  `animateSelectionUnder`
  `String`
  `applyFormulaAfterSummary`
  `String`
  `applyRowCountToLength`
  `String`
  `applyRowNumberStyle`
  `String`
  `approximateRowCountFormat`
  `String`
  `ariaRole`
  `String`
  `arrowKeyAction`
  `String`
  `arrowKeyEditAction`
  `String`
  `asyncErrorCellValue`
  `String`
  `asynchGroupingPrompt`
  `String`
  `asyncMissingCellValue`
  `String`
  `autoComplete`
  `String`
  `autoConfirmSaveEdits`
  `String`
  `autoFetchDisplayMap`
  `String`
  `autoFetchRowCount`
  `String`
  `autoFitAllText`
  `String[]`
  `autoFitClipFields`
  `String`
  `autoFitData`
  `String`
  `autoFitDateFields`
  `String`
  `autoFitExpandField`
  `String`
  `autoFitExpandLengthThreshold`
  `String`
  `autoFitExtraRecords`
  `String`
  `autoFitFieldsFillViewport`
  `String`
  `autoFitFieldText`
  `String`
  `autoFitFieldWidths`
  `String`
  `autoFitHeaderHeights`
  `String`
  `autoFitIconFields`
  `String`
  `autoFitMaxColumns`
  `String`
  `autoFitMaxHeight`
  `String`
  `autoFitMaxRecords`
  `String`
  `autoFitMaxWidthAsString`
  `String`
  `autoFitTimeFields`
  `String`
  `autoFitWidthApproach`
  `String`
  `autoHideCanvasGrid`
  `String[]`
  `autoPersistViewState`
  `String`
  `autoSaveEdits`
  `String`
  `autoSizeHeaderSpans`
  `String`
  `badFormulaResultValue`
  `String`
  `baseStyle`
  `String`
  `blockingRowCountFetch`
  `String`
  `bodyBackgroundColor`
  `String`
  `bodyOverflow`
  `String`
  `bodyStyleName`
  `String`
  `booleanBaseStyle`
  `String`
  `booleanFalseImage`
  `String`
  `booleanImageHeight`
  `String`
  `booleanImageWidth`
  `String`
  `booleanPartialImage`
  `String`
  `booleanTrueImage`
  `String`
  `briefRowRangeDisplayValue`
  `String`
  `canAcceptDroppedRecords`
  `String`
  `canAddAISortFields`
  `String`
  `canAddAISummaryFields`
  `String`
  `canAutoFitFields`
  `String`
  `cancelEditingConfirmationMessage`
  `String`
  `canCollapseGroup`
  `String`
  `canConfigureViaAI`
  `String`
  `canDragRecordsOut`
  `String`
  `canDragSelect`
  `String`
  `canDragSelectText`
  `String`
  `canDropInEmptyArea`
  `String`
  `canEdit`
  `String`
  `canEditHilites`
  `String`
  `canEditTitles`
  `String`
  `canExpandMultipleRecords`
  `String`
  `canExpandRecordProperty`
  `String`
  `canExpandRecords`
  `String`
  `canFocusInEmptyGrid`
  `String`
  `canFreezeFields`
  `String`
  `canGroupBy`
  `String`
  `canHiliteViaAI`
  `String`
  `canHover`
  `String`
  `canMultiGroup`
  `String`
  `canMultiSort`
  `String`
  `canPickFields`
  `String`
  `canPickOmittedFields`
  `String`
  `canRemoveRecords`
  `String`
  `canReorderFields`
  `String`
  `canReorderRecords`
  `String`
  `canRequestRowCount`
  `String`
  `canResizeFields`
  `String`
  `canSaveSearches`
  `String`
  `canSelectAll`
  `String`
  `canSelectCells`
  `String`
  `canSelectGroups`
  `String`
  `canSelectOnRecordClick`
  `String`
  `canSelectSummaryRows`
  `String`
  `canShowFilterEditor`
  `String`
  `canSort`
  `String`
  `canTabToHeader`
  `String`
  `canTabToSorter`
  `String`
  `canvasGridConstructor`
  `String`
  `cellHeight`
  `String`
  `cellPadding`
  `String`
  `cellRole`
  `String`
  `centralStyling`
  `String`
  `chartConstructor`
  `String`
  `chartType`
  `String`
  `checkboxFieldFalseImage`
  `String`
  `checkboxFieldImageHeight`
  `String`
  `checkboxFieldImageWidth`
  `String`
  `checkboxFieldPartialImage`
  `String`
  `checkboxFieldTrueImage`
  `String`
  `childExpansionMode`
  `String`
  `clearAllSortingText`
  `String`
  `clearCriteriaOnFilterEditorHide`
  `String`
  `clearFilterText`
  `String`
  `clearFilterViaAIText`
  `String`
  `clearSortFieldText`
  `String`
  `clipHeaderTitles`
  `String`
  `collapseGroupOnRowClick`
  `String`
  `configureGroupingText`
  `String`
  `configureSortText`
  `String`
  `configureViaAIText`
  `String`
  `confirmCancelEditing`
  `String`
  `confirmDiscardEdits`
  `String`
  `confirmDiscardEditsMessage`
  `String`
  `criteriaIndicatorColor`
  `String`
  `criteriaIndicatorHeaderColor`
  `String`
  `dataArity`
  `String`
  `dataFetchDelay`
  `String`
  `dataFetchMode`
  `ResultSet`
  `dataProperties`
  `String`
  `dateFormatter`
  `String`
  `datetimeFormatter`
  `String`
  `defaultDateFieldWidth`
  `String`
  `defaultDateTimeFieldWidth`
  `String`
  `defaultEditableDateFieldWidth`
  `String`
  `defaultEditableDateTimeFieldWidth`
  `String`
  `defaultFilterOperator`
  `String`
  `defaultFilterOperatorSuffix`
  `String`
  `defaultTimeFieldWidth`
  `String`
  `deferRemoval`
  `String`
  `deselectOnPartialCheckboxClick`
  `String`
  `detailDS`
  `String`
  `detailField`
  `String`
  `disabledGroupByPrompt`
  `String`
  `discardDataOnSetFetchOperation`
  `String`
  `discardEditsOnHideField`
  `String`
  `discardEditsSaveButtonTitle`
  `String`
  `divGrid`
  `String`
  `dragHandleFieldTitle`
  `String`
  `dragHandleIcon`
  `String`
  `dragHandleIconSize`
  `String`
  `dragRecategorize`
  `String`
  `dragScrollRedrawDelay`
  `String`
  `dragTrackerMode`
  `String`
  `drawAheadRatio`
  `String`
  `drawAllMaxCells`
  `String`
  `editByCell`
  `String`
  `editEvent`
  `String`
  `editFailedBaseStyle`
  `String`
  `editFailedCSSText`
  `String`
  `editOnF2Keypress`
  `String`
  `editOnFocus`
  `String`
  `editPendingBaseStyle`
  `String`
  `editPendingCSSText`
  `String`
  `editPendingMarkerStyle`
  `String`
  `editProxyConstructor`
  `String`
  `editSelectionType`
  `String`
  `embeddedComponentIndent`
  `String`
  `embeddedComponentMargin`
  `String`
  `emptyAIHoverContents`
  `String`
  `emptyCellValue`
  `String`
  `emptyMessage`
  `String`
  `emptyMessageStyle`
  `String`
  `emptyRowRangeDisplayValue`
  `String`
  `enforceVClipping`
  `String`
  `enterKeyEditAction`
  `String`
  `enumCriteriaAsInitialValues`
  `String`
  `errorIconHeight`
  `String`
  `errorIconSrc`
  `String`
  `errorIconWidth`
  `String`
  `escapeKeyEditAction`
  `String`
  `exactRowCountFormat`
  `String`
  `expansionCanEdit`
  `String`
  `expansionComponentPoolingMode`
  `String`
  `expansionEditorCollapseOnSave`
  `String`
  `expansionEditorSaveButtonTitle`
  `String`
  `expansionEditorSaveDialogPrompt`
  `String`
  `expansionEditorShowSaveDialog`
  `String`
  `expansionFieldFalseImage`
  `String`
  `expansionFieldImageHeight`
  `String`
  `expansionFieldImageShowRTL`
  `String`
  `expansionFieldImageShowSelected`
  `String`
  `expansionFieldImageStyle`
  `String`
  `expansionFieldImageWidth`
  `String`
  `expansionFieldTrueImage`
  `String`
  `expansionIndent`
  `String`
  `expansionMode`
  `String`
  `expansionScreen`
  `String`
  `explicitFetchDelay`
  `String`
  `exportAlternateRowBGColor`
  `String`
  `exportColumnWidthPadding`
  `String`
  `exportDefaultBGColor`
  `String`
  `exportFieldAlignments`
  `String`
  `exportFieldWidths`
  `String`
  `exportHeaderHeights`
  `String`
  `exportHiddenFieldWidth`
  `String`
  `exportRawNumbers`
  `String`
  `exportRawValues`
  `String`
  `exportWidthScale`
  `String`
  `exportWrapCells`
  `String`
  `exportWrapHeaderTitles`
  `String`
  `fetchDelay`
  `ListGridField[]`
  `fetchFieldsAsListGridFieldArray`
  `String`
  `fetchFieldsAsString`
  `String`
  `fieldCriteriaText`
  `String[]`
  `fieldPickerFieldProperties`
  `String`
  `fieldPickerShowSampleValues`
  `ListGridField[]`
  `fields`
  `String`
  `fieldState`
  `String`
  `fieldVisibilitySubmenuTitle`
  `String`
  `filterButtonPrompt`
  `String`
  `filterByCell`
  `String`
  `filterEditorHeight`
  `String`
  `filterLocalData`
  `String`
  `filterOnKeypress`
  `String`
  `filterUsingText`
  `String`
  `filterViaAIMode`
  `String`
  `filterViaAIPanelInstructions`
  `String`
  `filterViaAIText`
  `Criteria`
  `filterWindowCriteria`
  `String`
  `filterWindowInstructions`
  `String`
  `filterWindowTitle`
  `String`
  `firstCellStyle`
  `String`
  `fixedFieldWidths`
  `String`
  `fixedRecordHeights`
  `String`
  `formulaBuilderSpanTitleSeparator`
  `String`
  `freezeFieldText`
  `String`
  `frozenBaseStyle`
  `String`
  `frozenBodyStyleName`
  `String`
  `frozenFieldsMaxWidthAsString`
  `String`
  `frozenHeaderBaseStyle`
  `String`
  `frozenHeaderTitleStyle`
  `Canvas`
  `frozenRollOverCanvas`
  `Canvas`
  `frozenRollUnderCanvas`
  `String`
  `fullRowRangeDisplayValue`
  `String`
  `generateClickOnEnter`
  `String`
  `generateClickOnSpace`
  `String`
  `generateDoubleClickOnEnter`
  `String`
  `generateDoubleClickOnSpace`
  `String`
  `gridAdditionalCriteriaText`
  `Canvas[]`
  `gridComponentsAsCanvasArray`
  `String[]`
  `gridComponentsAsStringArrayArray`
  `String`
  `gridSummaryRecordProperty`
  `String`
  `groupByAsyncThreshold`
  `String[]`
  `groupByFieldSummaries`
  `String`
  `groupByMaxRecords`
  `String`
  `groupByMaxRecordsExceededMessage`
  `String`
  `groupByText`
  `String`
  `groupIcon`
  `String`
  `groupIconSize`
  `String`
  `groupIconStyle`
  `String`
  `groupIndentSize`
  `String`
  `groupLeadingIndent`
  `String`
  `groupNodeBaseStyle`
  `String`
  `groupNodeStyle`
  `String`
  `groupSortDirection`
  `String`
  `groupStartOpenAsString`
  `String`
  `groupState`
  `String`
  `groupSummaryRecordProperty`
  `String`
  `groupSummaryStyle`
  `String`
  `groupTitleField`
  `String`
  `headerAriaRole`
  `String`
  `headerAutoFitEvent`
  `String`
  `headerBackgroundColor`
  `String`
  `headerBarStyle`
  `String`
  `headerBaseStyle`
  `String`
  `headerButtonAriaRole`
  `String`
  `headerButtonAriaState`
  `String`
  `headerHeight`
  `String`
  `headerHoverAlign`
  `String`
  `headerHoverHeight`
  `String`
  `headerHoverOpacity`
  `String`
  `headerHoverStyle`
  `String`
  `headerHoverVAlign`
  `String`
  `headerHoverWidth`
  `String`
  `headerHoverWrap`
  `String`
  `headerMenuButtonHeightAsString`
  `String`
  `headerMenuButtonIcon`
  `String`
  `headerMenuButtonIconHeight`
  `String`
  `headerMenuButtonIconWidth`
  `String`
  `headerMenuButtonSnapOffsetLeft`
  `String`
  `headerMenuButtonWidth`
  `String`
  `headerRadius`
  `String`
  `headerShadowColor`
  `String`
  `headerShadowHOffset`
  `String`
  `headerShadowSoftness`
  `String`
  `headerShadowVOffset`
  `String`
  `headerSpanHeight`
  `String`
  `headerTitleStyle`
  `String`
  `headerTitleVAlign`
  `String`
  `hideEmptySummaryRow`
  `String`
  `hideFilterEditorTitle`
  `String`
  `hiliteCanReplaceValue`
  `String`
  `hiliteEditorSpanTitleSeparator`
  `String`
  `hiliteHTMLAfterFormat`
  `String`
  `hiliteIconHeight`
  `String`
  `hiliteIconLeftPadding`
  `String`
  `hiliteIconPosition`
  `String`
  `hiliteIconRightPadding`
  `String[]`
  `hiliteIcons`
  `String`
  `hiliteIconSize`
  `String`
  `hiliteIconWidth`
  `String`
  `hiliteReplaceValueFieldTitle`
  `String`
  `hiliteRowOnFocus`
  `String`
  `hiliteViaAIMode`
  `String`
  `hiliteViaAIText`
  `String`
  `hoverMode`
  `String`
  `hoverScreen`
  `String`
  `hoverStyle`
  `String`
  `iconCursor`
  `String`
  `iconPadding`
  `String`
  `imageSize`
  `String`
  `includeHilitesInSummaryFields`
  `String`
  `includeInSummaryProperty`
  `SortSpecifier[]`
  `initialSort`
  `String`
  `inlineEditItemGap`
  `String`
  `instantScrollTrackRedraw`
  `String`
  `invalidSummaryValue`
  `String`
  `isGrouped`
  `String`
  `isSeparatorProperty`
  `String`
  `lastCellStyle`
  `String`
  `leaveScrollbarGap`
  `String`
  `linkTextProperty`
  `String`
  `linkTextStyleName`
  `String`
  `listEndEditAction`
  `String`
  `loadingDataMessage`
  `String`
  `loadingDataMessageStyle`
  `String`
  `loadingMessage`
  `String`
  `loadingRowCountDisplayIcoHeight`
  `String`
  `loadingRowCountDisplayIcon`
  `String`
  `loadingRowCountDisplayIconWidth`
  `String`
  `locateColumnsBy`
  `String`
  `locateRowsBy`
  `String`
  `longTextEditorThreshold`
  `String`
  `longTextEditorType`
  `String`
  `maxExpandedRecords`
  `String`
  `maxExpandedRecordsPrompt`
  `String`
  `maximumRowCountFormat`
  `String`
  `maxSummaryRowRecords`
  `String`
  `minFieldWidth`
  `String`
  `minHeight`
  `String`
  `minimumCellHeight`
  `String`
  `minimumRowCountFormat`
  `String`
  `missingSummaryFieldValue`
  `String`
  `modalEditing`
  `String`
  `navigateOnTab`
  `String`
  `neverValidate`
  `String`
  `newRecordRowMessage`
  `String`
  `newSearchText`
  `String`
  `normalBaseStyle`
  `String`
  `normalCellHeight`
  `String`
  `noSavedSearchesText`
  `String`
  `nullGroupTitle`
  `String`
  `offlineMessageStyle`
  `String`
  `originBaseStyle`
  `String`
  `overflow`
  `String`
  `pendingAsyncCellValue`
  `String`
  `placeholderAIHoverContents`
  `String`
  `poolComponentsPerColumn`
  `String`
  `preRender`
  `String`
  `preRenderDelay`
  `String`
  `preRenderFormatValues`
  `String`
  `preRenderImageMode`
  `String`
  `preRenderPlaceholderColor`
  `String`
  `preRenderStructureDelay`
  `String`
  `preRenderTransitionDuration`
  `String`
  `preserveFocusStylingOnMouseOut`
  `String`
  `preserveWhitespace`
  `String`
  `printAutoFit`
  `String`
  `printBaseStyle`
  `String`
  `printBooleanBaseStyle`
  `String`
  `printBooleanFalseImage`
  `String`
  `printBooleanPartialImage`
  `String`
  `printBooleanTrueImage`
  `String`
  `printCheckboxFieldFalseImage`
  `String`
  `printCheckboxFieldPartialImage`
  `String`
  `printCheckboxFieldTrueImage`
  `String`
  `printHeaderStyle`
  `String`
  `printMaxRows`
  `String`
  `printWrapCells`
  `String`
  `quickDrawAheadRatio`
  `String`
  `rangeRowCountFormat`
  `String`
  `recordBaseStyleProperty`
  `String`
  `recordCanRemoveProperty`
  `String`
  `recordCanSelectProperty`
  `String`
  `recordCellRoleProperty`
  `String`
  `recordComponentHeight`
  `String`
  `recordComponentPoolingMode`
  `String`
  `recordComponentPosition`
  `String`
  `recordDetailDSProperty`
  `String`
  `recordDropAppearance`
  `String`
  `recordEditProperty`
  `String`
  `recordEnabledProperty`
  `String`
  `recordRadius`
  `String[]`
  `recordRadiusTargets`
  `String`
  `recordRowAriaStateProperty`
  `String`
  `recordRowRoleProperty`
  `String`
  `recordScreen`
  `String`
  `recordShowRollOverProperty`
  `String`
  `recordSummaryAttributePrefix`
  `String`
  `recordSummaryBaseStyle`
  `String`
  `removedCSSText`
  `String`
  `removeFieldTitle`
  `String`
  `removeIcon`
  `String`
  `removeIconSize`
  `String`
  `removeIconStyle`
  `String`
  `reselectOnUpdate`
  `String`
  `reselectOnUpdateNotifications`
  `String`
  `resizeFieldsInRealTime`
  `String`
  `reverseRTLAlign`
  `String`
  `rotatedHeaderMenuButtonHeightAsString`
  `String`
  `rotatedHeaderMenuButtonWidth`
  `String`
  `rotateHeaderTitles`
  `String`
  `rowAriaState`
  `String`
  `rowCountDisplayPrecision`
  `String`
  `rowEndEditAction`
  `String`
  `rowLocatorFieldAsString`
  `String`
  `rowNumberStart`
  `String`
  `rowNumberStyle`
  `String`
  `rowRangeDisplayStyle`
  `String`
  `rowRangeFormat`
  `String`
  `rowRole`
  `String`
  `rowSpanEditMode`
  `String`
  `rowSpanSelectionMode`
  `String`
  `saveByCell`
  `String`
  `saveCriteriaInViewState`
  `String`
  `saveDefaultSearch`
  `String`
  `savedSearchAdminRole`
  `String`
  `savedSearchDS`
  `String`
  `savedSearchStoredState`
  `String`
  `savedSearchText`
  `String`
  `saveLocally`
  `String`
  `screenReaderCellSeparator`
  `String`
  `screenReaderIncludeFieldTitles`
  `String`
  `screenReaderNavigateByCell`
  `String`
  `screenReaderRowSeparator`
  `String`
  `screenReaderWriteRowLabelledBy`
  `String`
  `scrollRedrawDelay`
  `String`
  `scrollToCellXPosition`
  `String`
  `scrollToCellYPosition`
  `String`
  `scrollWheelRedrawDelay`
  `DynamicForm`
  `searchFormAsDynamicForm`
  `String`
  `searchFormAsString`
  `ValuesManager`
  `searchFormAsValuesManager`
  `String`
  `selectCellTextOnClick`
  `String`
  `selectedState`
  `String`
  `selectHeaderOnSort`
  `String`
  `selectionAppearance`
  `String`
  `selectionProperty`
  `String`
  `selectionType`
  `String`
  `selectOnEdit`
  `String`
  `selectOnExpandRecord`
  `String`
  `separatorRowStyle`
  `String`
  `showAllColumns`
  `String`
  `showAllRecords`
  `String`
  `showAsynchGroupingPrompt`
  `String`
  `showBackgroundComponents`
  `String`
  `showCellContextMenus`
  `String`
  `showClippedHeaderTitlesOnHover`
  `String`
  `showClippedValuesOnHover`
  `String`
  `showCollapsedGroupSummary`
  `String`
  `showDetailFields`
  `String`
  `showDropLines`
  `String`
  `showDropOverRollOver`
  `String`
  `showEllipsisWhenClipped`
  `String`
  `showEmptyMessage`
  `String`
  `showErrorIcons`
  `String`
  `showExpansionEditorSaveButton`
  `String`
  `showFilterEditor`
  `String`
  `showFilterEditorHovers`
  `String`
  `showFilterEditorTitle`
  `String`
  `showFilterWindowCriteriaIndicator`
  `String`
  `showGridSummary`
  `String`
  `showGroupSummary`
  `String`
  `showGroupSummaryInHeader`
  `String`
  `showGroupTitleColumn`
  `String`
  `showGroupTitleInFrozenBody`
  `String`
  `showHeader`
  `String`
  `showHeaderContextMenu`
  `String`
  `showHeaderMenuButton`
  `String`
  `showHeaderPartialSelection`
  `String`
  `showHeaderSeparators`
  `String`
  `showHeaderShadow`
  `String`
  `showHeaderSpanContextMenu`
  `String`
  `showHeaderSpanTitlesInFormulaBuilder`
  `String`
  `showHeaderSpanTitlesInHiliteEditor`
  `String`
  `showHeaderSpanTitlesInSortEditor`
  `String`
  `showHilitesInGroupSummary`
  `String`
  `showHover`
  `String`
  `showHoverComponents`
  `String`
  `showHoverOnDisabledCells`
  `String`
  `showInitialDragHandles`
  `String`
  `showLastHeaderSeparators`
  `String`
  `showNewRecordRow`
  `String`
  `showPartialSelection`
  `String`
  `showPreRenderTransition`
  `String`
  `showRecordComponents`
  `String`
  `showRecordComponentsByCell`
  `String`
  `showRollOver`
  `String`
  `showRollOverCanvas`
  `String`
  `showRollOverInExpansion`
  `String`
  `showRollUnderCanvas`
  `String`
  `showRowNumbers`
  `String`
  `showSelectedRollOverCanvas`
  `String`
  `showSelectedRollUnderCanvas`
  `String`
  `showSelectedStyle`
  `String`
  `showSelectionCanvas`
  `String`
  `showSelectionUnderCanvas`
  `String`
  `showSortArrow`
  `String`
  `showSortNumerals`
  `String`
  `showTreeColumnPicker`
  `String`
  `shrinkForFreeze`
  `String`
  `singleCellValueProperty`
  `String`
  `skinImgDir`
  `String`
  `skipClipDiv`
  `String`
  `skipLineBreaks`
  `String`
  `sortArrowMenuButtonSpaceOffset`
  `ImgHTMLProperties`
  `sortAscendingImageAsImgHTMLProperties`
  `String`
  `sortAscendingImageAsString`
  `String`
  `sortBinaryByFileName`
  `String`
  `sortByGroupFirst`
  `ImgHTMLProperties`
  `sortDescendingImageAsImgHTMLProperties`
  `String`
  `sortDescendingImageAsString`
  `String`
  `sortDirection`
  `String`
  `sortEditorSpanTitleSeparator`
  `String`
  `sorterButtonTitle`
  `String`
  `sortFieldAscendingText`
  `String`
  `sortFieldAsString`
  `String`
  `sortFieldDescendingText`
  `String`
  `sortNumeralMenuButtonSpaceOffset`
  `String`
  `sortNumeralStyle`
  `String`
  `sortState`
  `String`
  `spannedHeaderBaseStyle`
  `String`
  `stopOnErrors`
  `String`
  `styledRowEnds`
  `String`
  `styleName`
  `Criteria`
  `summaryRowCriteria`
  `DataSource`
  `summaryRowDataSource`
  `String`
  `summaryRowHeight`
  `String`
  `summaryRowStyle`
  `String`
  `tableRowStyle`
  `String`
  `tallBaseStyle`
  `String`
  `touchScrollRedrawDelay`
  `ImgHTMLProperties`
  `trackerImageAsImgHTMLProperties`
  `String`
  `trackerImageAsString`
  `String`
  `unfreezeFieldText`
  `String`
  `ungroupText`
  `String`
  `unknownRowCountDisplayValue`
  `String`
  `unremoveIcon`
  `String`
  `updateSummariesDuringEditing`
  `String`
  `useAdvancedCriteria`
  `String`
  `useAdvancedFieldPicker`
  `String`
  `useCellRollOvers`
  `String`
  `useClientFiltering`
  `String`
  `useCopyPasteShortcuts`
  `String`
  `useInlineEditors`
  `String`
  `useInlineFilterEditors`
  `String`
  `useLegacyDefaultFormattedValue`
  `String`
  `useMultiSelectForFilterValueMaps`
  `String`
  `useRemoteValidators`
  `String`
  `useRowSpanStyling`
  `String`
  `validateByCell`
  `String`
  `validateOnChange`
  `String`
  `valueIconHeight`
  `String`
  `valueIconLeftPadding`
  `String`
  `valueIconRightPadding`
  `String`
  `valueIconSize`
  `String`
  `valueIconWidth`
  `String`
  `viewState`
  `String`
  `virtualScrolling`
  `String`
  `waitForSave`
  `String`
  `warnOnRemoval`
  `String`
  `warnOnRemovalMessage`
  `String`
  `warnOnUnmappedValueFieldChange`
  `String`
  `wrapCells`
  `String`
  `wrapHeaderSpanTitles`
  `String`
  `wrapHeaderTitles`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListGridLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### advancedFieldPickerThreshold

    public String advancedFieldPickerThreshold

  - ### advancedFilteringText

    public String advancedFilteringText

  - ### aiFilterWindowHint

    public String aiFilterWindowHint

  - ### aiFilterWindowInstructions

    public String aiFilterWindowInstructions

  - ### aiFilterWindowTitle

    public String aiFilterWindowTitle

  - ### aiHoverContentsPrefix

    public String aiHoverContentsPrefix

  - ### aiHoverRetryDelay

    public String aiHoverRetryDelay

  - ### aiSortFieldMaxRecordsMessage

    public String aiSortFieldMaxRecordsMessage

  - ### allowFilterExpressions

    public String allowFilterExpressions

  - ### allowFilterOperators

    public String allowFilterOperators

  - ### allowFilterWindow

    public String allowFilterWindow

  - ### allowRowSpanning

    public String allowRowSpanning

  - ### alternateBodyStyleName

    public String alternateBodyStyleName

  - ### alternateFieldFrequency

    public String alternateFieldFrequency

  - ### alternateFieldStyles

    public String alternateFieldStyles

  - ### alternateFieldSuffix

    public String alternateFieldSuffix

  - ### alternateRecordFrequency

    public String alternateRecordFrequency

  - ### alternateRecordStyles

    public String alternateRecordStyles

  - ### alternateRecordSuffix

    public String alternateRecordSuffix

  - ### alwaysShowEditors

    public String alwaysShowEditors

  - ### alwaysShowOperatorIcon

    public String alwaysShowOperatorIcon

  - ### animateFolderEffect

    public String animateFolderEffect

  - ### animateFolderMaxRows

    public String animateFolderMaxRows

  - ### animateFolders

    public String animateFolders

  - ### animateFolderSpeed

    public String animateFolderSpeed

  - ### animateFolderTime

    public String animateFolderTime

  - ### animateRemoveRecord

    public String animateRemoveRecord

  - ### animateRemoveSpeed

    public String animateRemoveSpeed

  - ### animateRemoveTime

    public String animateRemoveTime

  - ### animateRollOver

    public String animateRollOver

  - ### animateRollUnder

    public String animateRollUnder

  - ### animateSelection

    public String animateSelection

  - ### animateSelectionUnder

    public String animateSelectionUnder

  - ### applyFormulaAfterSummary

    public String applyFormulaAfterSummary

  - ### applyRowCountToLength

    public String applyRowCountToLength

  - ### applyRowNumberStyle

    public String applyRowNumberStyle

  - ### approximateRowCountFormat

    public String approximateRowCountFormat

  - ### ariaRole

    public String ariaRole

  - ### arrowKeyAction

    public String arrowKeyAction

  - ### arrowKeyEditAction

    public String arrowKeyEditAction

  - ### asyncErrorCellValue

    public String asyncErrorCellValue

  - ### asynchGroupingPrompt

    public String asynchGroupingPrompt

  - ### asyncMissingCellValue

    public String asyncMissingCellValue

  - ### autoComplete

    public String autoComplete

  - ### autoConfirmSaveEdits

    public String autoConfirmSaveEdits

  - ### autoFetchDisplayMap

    public String autoFetchDisplayMap

  - ### autoFetchRowCount

    public String autoFetchRowCount

  - ### autoFitAllText

    public String autoFitAllText

  - ### autoFitClipFields

    public String[] autoFitClipFields

  - ### autoFitData

    public String autoFitData

  - ### autoFitDateFields

    public String autoFitDateFields

  - ### autoFitExpandField

    public String autoFitExpandField

  - ### autoFitExpandLengthThreshold

    public String autoFitExpandLengthThreshold

  - ### autoFitExtraRecords

    public String autoFitExtraRecords

  - ### autoFitFieldsFillViewport

    public String autoFitFieldsFillViewport

  - ### autoFitFieldText

    public String autoFitFieldText

  - ### autoFitFieldWidths

    public String autoFitFieldWidths

  - ### autoFitHeaderHeights

    public String autoFitHeaderHeights

  - ### autoFitIconFields

    public String autoFitIconFields

  - ### autoFitMaxColumns

    public String autoFitMaxColumns

  - ### autoFitMaxHeight

    public String autoFitMaxHeight

  - ### autoFitMaxRecords

    public String autoFitMaxRecords

  - ### autoFitMaxWidthAsString

    public String autoFitMaxWidthAsString

  - ### autoFitTimeFields

    public String autoFitTimeFields

  - ### autoFitWidthApproach

    public String autoFitWidthApproach

  - ### autoHideCanvasGrid

    public String autoHideCanvasGrid

  - ### autoPersistViewState

    public String[] autoPersistViewState

  - ### autoSaveEdits

    public String autoSaveEdits

  - ### autoSizeHeaderSpans

    public String autoSizeHeaderSpans

  - ### badFormulaResultValue

    public String badFormulaResultValue

  - ### baseStyle

    public String baseStyle

  - ### blockingRowCountFetch

    public String blockingRowCountFetch

  - ### bodyBackgroundColor

    public String bodyBackgroundColor

  - ### bodyOverflow

    public String bodyOverflow

  - ### bodyStyleName

    public String bodyStyleName

  - ### booleanBaseStyle

    public String booleanBaseStyle

  - ### booleanFalseImage

    public String booleanFalseImage

  - ### booleanImageHeight

    public String booleanImageHeight

  - ### booleanImageWidth

    public String booleanImageWidth

  - ### booleanPartialImage

    public String booleanPartialImage

  - ### booleanTrueImage

    public String booleanTrueImage

  - ### briefRowRangeDisplayValue

    public String briefRowRangeDisplayValue

  - ### canAcceptDroppedRecords

    public String canAcceptDroppedRecords

  - ### canAddAISortFields

    public String canAddAISortFields

  - ### canAddAISummaryFields

    public String canAddAISummaryFields

  - ### canAutoFitFields

    public String canAutoFitFields

  - ### cancelEditingConfirmationMessage

    public String cancelEditingConfirmationMessage

  - ### canCollapseGroup

    public String canCollapseGroup

  - ### canConfigureViaAI

    public String canConfigureViaAI

  - ### canDragRecordsOut

    public String canDragRecordsOut

  - ### canDragSelect

    public String canDragSelect

  - ### canDragSelectText

    public String canDragSelectText

  - ### canDropInEmptyArea

    public String canDropInEmptyArea

  - ### canEdit

    public String canEdit

  - ### canEditHilites

    public String canEditHilites

  - ### canEditTitles

    public String canEditTitles

  - ### canExpandMultipleRecords

    public String canExpandMultipleRecords

  - ### canExpandRecordProperty

    public String canExpandRecordProperty

  - ### canExpandRecords

    public String canExpandRecords

  - ### canFocusInEmptyGrid

    public String canFocusInEmptyGrid

  - ### canFreezeFields

    public String canFreezeFields

  - ### canGroupBy

    public String canGroupBy

  - ### canHiliteViaAI

    public String canHiliteViaAI

  - ### canHover

    public String canHover

  - ### canMultiGroup

    public String canMultiGroup

  - ### canMultiSort

    public String canMultiSort

  - ### canPickFields

    public String canPickFields

  - ### canPickOmittedFields

    public String canPickOmittedFields

  - ### canRemoveRecords

    public String canRemoveRecords

  - ### canReorderFields

    public String canReorderFields

  - ### canReorderRecords

    public String canReorderRecords

  - ### canRequestRowCount

    public String canRequestRowCount

  - ### canResizeFields

    public String canResizeFields

  - ### canSaveSearches

    public String canSaveSearches

  - ### canSelectAll

    public String canSelectAll

  - ### canSelectCells

    public String canSelectCells

  - ### canSelectGroups

    public String canSelectGroups

  - ### canSelectOnRecordClick

    public String canSelectOnRecordClick

  - ### canSelectSummaryRows

    public String canSelectSummaryRows

  - ### canShowFilterEditor

    public String canShowFilterEditor

  - ### canSort

    public String canSort

  - ### canTabToHeader

    public String canTabToHeader

  - ### canTabToSorter

    public String canTabToSorter

  - ### canvasGridConstructor

    public String canvasGridConstructor

  - ### cellHeight

    public String cellHeight

  - ### cellPadding

    public String cellPadding

  - ### cellRole

    public String cellRole

  - ### centralStyling

    public String centralStyling

  - ### chartConstructor

    public String chartConstructor

  - ### chartType

    public String chartType

  - ### checkboxFieldFalseImage

    public String checkboxFieldFalseImage

  - ### checkboxFieldImageHeight

    public String checkboxFieldImageHeight

  - ### checkboxFieldImageWidth

    public String checkboxFieldImageWidth

  - ### checkboxFieldPartialImage

    public String checkboxFieldPartialImage

  - ### checkboxFieldTrueImage

    public String checkboxFieldTrueImage

  - ### childExpansionMode

    public String childExpansionMode

  - ### clearAllSortingText

    public String clearAllSortingText

  - ### clearCriteriaOnFilterEditorHide

    public String clearCriteriaOnFilterEditorHide

  - ### clearFilterText

    public String clearFilterText

  - ### clearFilterViaAIText

    public String clearFilterViaAIText

  - ### clearSortFieldText

    public String clearSortFieldText

  - ### clipHeaderTitles

    public String clipHeaderTitles

  - ### collapseGroupOnRowClick

    public String collapseGroupOnRowClick

  - ### configureGroupingText

    public String configureGroupingText

  - ### configureSortText

    public String configureSortText

  - ### configureViaAIText

    public String configureViaAIText

  - ### confirmCancelEditing

    public String confirmCancelEditing

  - ### confirmDiscardEdits

    public String confirmDiscardEdits

  - ### confirmDiscardEditsMessage

    public String confirmDiscardEditsMessage

  - ### criteriaIndicatorColor

    public String criteriaIndicatorColor

  - ### criteriaIndicatorHeaderColor

    public String criteriaIndicatorHeaderColor

  - ### dataArity

    public String dataArity

  - ### dataFetchDelay

    public String dataFetchDelay

  - ### dataFetchMode

    public String dataFetchMode

  - ### dataProperties

    public ResultSet dataProperties

  - ### dateFormatter

    public String dateFormatter

  - ### datetimeFormatter

    public String datetimeFormatter

  - ### defaultDateFieldWidth

    public String defaultDateFieldWidth

  - ### defaultDateTimeFieldWidth

    public String defaultDateTimeFieldWidth

  - ### defaultEditableDateFieldWidth

    public String defaultEditableDateFieldWidth

  - ### defaultEditableDateTimeFieldWidth

    public String defaultEditableDateTimeFieldWidth

  - ### defaultFilterOperator

    public String defaultFilterOperator

  - ### defaultFilterOperatorSuffix

    public String defaultFilterOperatorSuffix

  - ### defaultTimeFieldWidth

    public String defaultTimeFieldWidth

  - ### deferRemoval

    public String deferRemoval

  - ### deselectOnPartialCheckboxClick

    public String deselectOnPartialCheckboxClick

  - ### detailDS

    public String detailDS

  - ### detailField

    public String detailField

  - ### disabledGroupByPrompt

    public String disabledGroupByPrompt

  - ### discardDataOnSetFetchOperation

    public String discardDataOnSetFetchOperation

  - ### discardEditsOnHideField

    public String discardEditsOnHideField

  - ### discardEditsSaveButtonTitle

    public String discardEditsSaveButtonTitle

  - ### divGrid

    public String divGrid

  - ### dragHandleFieldTitle

    public String dragHandleFieldTitle

  - ### dragHandleIcon

    public String dragHandleIcon

  - ### dragHandleIconSize

    public String dragHandleIconSize

  - ### dragRecategorize

    public String dragRecategorize

  - ### dragScrollRedrawDelay

    public String dragScrollRedrawDelay

  - ### dragTrackerMode

    public String dragTrackerMode

  - ### drawAheadRatio

    public String drawAheadRatio

  - ### drawAllMaxCells

    public String drawAllMaxCells

  - ### editByCell

    public String editByCell

  - ### editEvent

    public String editEvent

  - ### editFailedBaseStyle

    public String editFailedBaseStyle

  - ### editFailedCSSText

    public String editFailedCSSText

  - ### editOnF2Keypress

    public String editOnF2Keypress

  - ### editOnFocus

    public String editOnFocus

  - ### editPendingBaseStyle

    public String editPendingBaseStyle

  - ### editPendingCSSText

    public String editPendingCSSText

  - ### editPendingMarkerStyle

    public String editPendingMarkerStyle

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### editSelectionType

    public String editSelectionType

  - ### embeddedComponentIndent

    public String embeddedComponentIndent

  - ### embeddedComponentMargin

    public String embeddedComponentMargin

  - ### emptyAIHoverContents

    public String emptyAIHoverContents

  - ### emptyCellValue

    public String emptyCellValue

  - ### emptyMessage

    public String emptyMessage

  - ### emptyMessageStyle

    public String emptyMessageStyle

  - ### emptyRowRangeDisplayValue

    public String emptyRowRangeDisplayValue

  - ### enforceVClipping

    public String enforceVClipping

  - ### enterKeyEditAction

    public String enterKeyEditAction

  - ### enumCriteriaAsInitialValues

    public String enumCriteriaAsInitialValues

  - ### errorIconHeight

    public String errorIconHeight

  - ### errorIconSrc

    public String errorIconSrc

  - ### errorIconWidth

    public String errorIconWidth

  - ### escapeKeyEditAction

    public String escapeKeyEditAction

  - ### exactRowCountFormat

    public String exactRowCountFormat

  - ### expansionCanEdit

    public String expansionCanEdit

  - ### expansionComponentPoolingMode

    public String expansionComponentPoolingMode

  - ### expansionEditorCollapseOnSave

    public String expansionEditorCollapseOnSave

  - ### expansionEditorSaveButtonTitle

    public String expansionEditorSaveButtonTitle

  - ### expansionEditorSaveDialogPrompt

    public String expansionEditorSaveDialogPrompt

  - ### expansionEditorShowSaveDialog

    public String expansionEditorShowSaveDialog

  - ### expansionFieldFalseImage

    public String expansionFieldFalseImage

  - ### expansionFieldImageHeight

    public String expansionFieldImageHeight

  - ### expansionFieldImageShowRTL

    public String expansionFieldImageShowRTL

  - ### expansionFieldImageShowSelected

    public String expansionFieldImageShowSelected

  - ### expansionFieldImageStyle

    public String expansionFieldImageStyle

  - ### expansionFieldImageWidth

    public String expansionFieldImageWidth

  - ### expansionFieldTrueImage

    public String expansionFieldTrueImage

  - ### expansionIndent

    public String expansionIndent

  - ### expansionMode

    public String expansionMode

  - ### expansionScreen

    public String expansionScreen

  - ### explicitFetchDelay

    public String explicitFetchDelay

  - ### exportAlternateRowBGColor

    public String exportAlternateRowBGColor

  - ### exportColumnWidthPadding

    public String exportColumnWidthPadding

  - ### exportDefaultBGColor

    public String exportDefaultBGColor

  - ### exportFieldAlignments

    public String exportFieldAlignments

  - ### exportFieldWidths

    public String exportFieldWidths

  - ### exportHeaderHeights

    public String exportHeaderHeights

  - ### exportHiddenFieldWidth

    public String exportHiddenFieldWidth

  - ### exportRawNumbers

    public String exportRawNumbers

  - ### exportRawValues

    public String exportRawValues

  - ### exportWidthScale

    public String exportWidthScale

  - ### exportWrapCells

    public String exportWrapCells

  - ### exportWrapHeaderTitles

    public String exportWrapHeaderTitles

  - ### fetchDelay

    public String fetchDelay

  - ### fetchFieldsAsListGridFieldArray

    public ListGridField[] fetchFieldsAsListGridFieldArray

  - ### fetchFieldsAsString

    public String fetchFieldsAsString

  - ### fieldCriteriaText

    public String fieldCriteriaText

  - ### fieldPickerFieldProperties

    public String[] fieldPickerFieldProperties

  - ### fieldPickerShowSampleValues

    public String fieldPickerShowSampleValues

  - ### fields

    public ListGridField[] fields

  - ### fieldState

    public String fieldState

  - ### fieldVisibilitySubmenuTitle

    public String fieldVisibilitySubmenuTitle

  - ### filterButtonPrompt

    public String filterButtonPrompt

  - ### filterByCell

    public String filterByCell

  - ### filterEditorHeight

    public String filterEditorHeight

  - ### filterLocalData

    public String filterLocalData

  - ### filterOnKeypress

    public String filterOnKeypress

  - ### filterUsingText

    public String filterUsingText

  - ### filterViaAIMode

    public String filterViaAIMode

  - ### filterViaAIPanelInstructions

    public String filterViaAIPanelInstructions

  - ### filterViaAIText

    public String filterViaAIText

  - ### filterWindowCriteria

    public Criteria filterWindowCriteria

  - ### filterWindowInstructions

    public String filterWindowInstructions

  - ### filterWindowTitle

    public String filterWindowTitle

  - ### firstCellStyle

    public String firstCellStyle

  - ### fixedFieldWidths

    public String fixedFieldWidths

  - ### fixedRecordHeights

    public String fixedRecordHeights

  - ### formulaBuilderSpanTitleSeparator

    public String formulaBuilderSpanTitleSeparator

  - ### freezeFieldText

    public String freezeFieldText

  - ### frozenBaseStyle

    public String frozenBaseStyle

  - ### frozenBodyStyleName

    public String frozenBodyStyleName

  - ### frozenFieldsMaxWidthAsString

    public String frozenFieldsMaxWidthAsString

  - ### frozenHeaderBaseStyle

    public String frozenHeaderBaseStyle

  - ### frozenHeaderTitleStyle

    public String frozenHeaderTitleStyle

  - ### frozenRollOverCanvas

    public Canvas frozenRollOverCanvas

  - ### frozenRollUnderCanvas

    public Canvas frozenRollUnderCanvas

  - ### fullRowRangeDisplayValue

    public String fullRowRangeDisplayValue

  - ### generateClickOnEnter

    public String generateClickOnEnter

  - ### generateClickOnSpace

    public String generateClickOnSpace

  - ### generateDoubleClickOnEnter

    public String generateDoubleClickOnEnter

  - ### generateDoubleClickOnSpace

    public String generateDoubleClickOnSpace

  - ### gridAdditionalCriteriaText

    public String gridAdditionalCriteriaText

  - ### gridComponentsAsStringArrayArray

    public String[] gridComponentsAsStringArrayArray

  - ### gridComponentsAsCanvasArray

    public Canvas[] gridComponentsAsCanvasArray

  - ### gridSummaryRecordProperty

    public String gridSummaryRecordProperty

  - ### groupByAsyncThreshold

    public String groupByAsyncThreshold

  - ### groupByFieldSummaries

    public String[] groupByFieldSummaries

  - ### groupByMaxRecords

    public String groupByMaxRecords

  - ### groupByMaxRecordsExceededMessage

    public String groupByMaxRecordsExceededMessage

  - ### groupByText

    public String groupByText

  - ### groupIcon

    public String groupIcon

  - ### groupIconSize

    public String groupIconSize

  - ### groupIconStyle

    public String groupIconStyle

  - ### groupIndentSize

    public String groupIndentSize

  - ### groupLeadingIndent

    public String groupLeadingIndent

  - ### groupNodeBaseStyle

    public String groupNodeBaseStyle

  - ### groupNodeStyle

    public String groupNodeStyle

  - ### groupSortDirection

    public String groupSortDirection

  - ### groupStartOpenAsString

    public String groupStartOpenAsString

  - ### groupState

    public String groupState

  - ### groupSummaryRecordProperty

    public String groupSummaryRecordProperty

  - ### groupSummaryStyle

    public String groupSummaryStyle

  - ### groupTitleField

    public String groupTitleField

  - ### headerAriaRole

    public String headerAriaRole

  - ### headerAutoFitEvent

    public String headerAutoFitEvent

  - ### headerBackgroundColor

    public String headerBackgroundColor

  - ### headerBarStyle

    public String headerBarStyle

  - ### headerBaseStyle

    public String headerBaseStyle

  - ### headerButtonAriaRole

    public String headerButtonAriaRole

  - ### headerButtonAriaState

    public String headerButtonAriaState

  - ### headerHeight

    public String headerHeight

  - ### headerHoverAlign

    public String headerHoverAlign

  - ### headerHoverHeight

    public String headerHoverHeight

  - ### headerHoverOpacity

    public String headerHoverOpacity

  - ### headerHoverStyle

    public String headerHoverStyle

  - ### headerHoverVAlign

    public String headerHoverVAlign

  - ### headerHoverWidth

    public String headerHoverWidth

  - ### headerHoverWrap

    public String headerHoverWrap

  - ### headerMenuButtonHeightAsString

    public String headerMenuButtonHeightAsString

  - ### headerMenuButtonIcon

    public String headerMenuButtonIcon

  - ### headerMenuButtonIconHeight

    public String headerMenuButtonIconHeight

  - ### headerMenuButtonIconWidth

    public String headerMenuButtonIconWidth

  - ### headerMenuButtonSnapOffsetLeft

    public String headerMenuButtonSnapOffsetLeft

  - ### headerMenuButtonWidth

    public String headerMenuButtonWidth

  - ### headerRadius

    public String headerRadius

  - ### headerShadowColor

    public String headerShadowColor

  - ### headerShadowHOffset

    public String headerShadowHOffset

  - ### headerShadowSoftness

    public String headerShadowSoftness

  - ### headerShadowVOffset

    public String headerShadowVOffset

  - ### headerSpanHeight

    public String headerSpanHeight

  - ### headerTitleStyle

    public String headerTitleStyle

  - ### headerTitleVAlign

    public String headerTitleVAlign

  - ### hideEmptySummaryRow

    public String hideEmptySummaryRow

  - ### hideFilterEditorTitle

    public String hideFilterEditorTitle

  - ### hiliteCanReplaceValue

    public String hiliteCanReplaceValue

  - ### hiliteEditorSpanTitleSeparator

    public String hiliteEditorSpanTitleSeparator

  - ### hiliteHTMLAfterFormat

    public String hiliteHTMLAfterFormat

  - ### hiliteIconHeight

    public String hiliteIconHeight

  - ### hiliteIconLeftPadding

    public String hiliteIconLeftPadding

  - ### hiliteIconPosition

    public String hiliteIconPosition

  - ### hiliteIconRightPadding

    public String hiliteIconRightPadding

  - ### hiliteIcons

    public String[] hiliteIcons

  - ### hiliteIconSize

    public String hiliteIconSize

  - ### hiliteIconWidth

    public String hiliteIconWidth

  - ### hiliteReplaceValueFieldTitle

    public String hiliteReplaceValueFieldTitle

  - ### hiliteRowOnFocus

    public String hiliteRowOnFocus

  - ### hiliteViaAIMode

    public String hiliteViaAIMode

  - ### hiliteViaAIText

    public String hiliteViaAIText

  - ### hoverMode

    public String hoverMode

  - ### hoverScreen

    public String hoverScreen

  - ### hoverStyle

    public String hoverStyle

  - ### iconCursor

    public String iconCursor

  - ### iconPadding

    public String iconPadding

  - ### imageSize

    public String imageSize

  - ### includeHilitesInSummaryFields

    public String includeHilitesInSummaryFields

  - ### includeInSummaryProperty

    public String includeInSummaryProperty

  - ### initialSort

    public SortSpecifier[] initialSort

  - ### inlineEditItemGap

    public String inlineEditItemGap

  - ### instantScrollTrackRedraw

    public String instantScrollTrackRedraw

  - ### invalidSummaryValue

    public String invalidSummaryValue

  - ### isGrouped

    public String isGrouped

  - ### isSeparatorProperty

    public String isSeparatorProperty

  - ### lastCellStyle

    public String lastCellStyle

  - ### leaveScrollbarGap

    public String leaveScrollbarGap

  - ### linkTextProperty

    public String linkTextProperty

  - ### linkTextStyleName

    public String linkTextStyleName

  - ### listEndEditAction

    public String listEndEditAction

  - ### loadingDataMessage

    public String loadingDataMessage

  - ### loadingDataMessageStyle

    public String loadingDataMessageStyle

  - ### loadingMessage

    public String loadingMessage

  - ### loadingRowCountDisplayIcoHeight

    public String loadingRowCountDisplayIcoHeight

  - ### loadingRowCountDisplayIcon

    public String loadingRowCountDisplayIcon

  - ### loadingRowCountDisplayIconWidth

    public String loadingRowCountDisplayIconWidth

  - ### locateColumnsBy

    public String locateColumnsBy

  - ### locateRowsBy

    public String locateRowsBy

  - ### longTextEditorThreshold

    public String longTextEditorThreshold

  - ### longTextEditorType

    public String longTextEditorType

  - ### maxExpandedRecords

    public String maxExpandedRecords

  - ### maxExpandedRecordsPrompt

    public String maxExpandedRecordsPrompt

  - ### maximumRowCountFormat

    public String maximumRowCountFormat

  - ### maxSummaryRowRecords

    public String maxSummaryRowRecords

  - ### minFieldWidth

    public String minFieldWidth

  - ### minHeight

    public String minHeight

  - ### minimumCellHeight

    public String minimumCellHeight

  - ### minimumRowCountFormat

    public String minimumRowCountFormat

  - ### missingSummaryFieldValue

    public String missingSummaryFieldValue

  - ### modalEditing

    public String modalEditing

  - ### navigateOnTab

    public String navigateOnTab

  - ### neverValidate

    public String neverValidate

  - ### newRecordRowMessage

    public String newRecordRowMessage

  - ### newSearchText

    public String newSearchText

  - ### normalBaseStyle

    public String normalBaseStyle

  - ### normalCellHeight

    public String normalCellHeight

  - ### noSavedSearchesText

    public String noSavedSearchesText

  - ### nullGroupTitle

    public String nullGroupTitle

  - ### offlineMessageStyle

    public String offlineMessageStyle

  - ### originBaseStyle

    public String originBaseStyle

  - ### overflow

    public String overflow

  - ### pendingAsyncCellValue

    public String pendingAsyncCellValue

  - ### placeholderAIHoverContents

    public String placeholderAIHoverContents

  - ### poolComponentsPerColumn

    public String poolComponentsPerColumn

  - ### preRender

    public String preRender

  - ### preRenderDelay

    public String preRenderDelay

  - ### preRenderFormatValues

    public String preRenderFormatValues

  - ### preRenderImageMode

    public String preRenderImageMode

  - ### preRenderPlaceholderColor

    public String preRenderPlaceholderColor

  - ### preRenderStructureDelay

    public String preRenderStructureDelay

  - ### preRenderTransitionDuration

    public String preRenderTransitionDuration

  - ### preserveFocusStylingOnMouseOut

    public String preserveFocusStylingOnMouseOut

  - ### preserveWhitespace

    public String preserveWhitespace

  - ### printAutoFit

    public String printAutoFit

  - ### printBaseStyle

    public String printBaseStyle

  - ### printBooleanBaseStyle

    public String printBooleanBaseStyle

  - ### printBooleanFalseImage

    public String printBooleanFalseImage

  - ### printBooleanPartialImage

    public String printBooleanPartialImage

  - ### printBooleanTrueImage

    public String printBooleanTrueImage

  - ### printCheckboxFieldFalseImage

    public String printCheckboxFieldFalseImage

  - ### printCheckboxFieldPartialImage

    public String printCheckboxFieldPartialImage

  - ### printCheckboxFieldTrueImage

    public String printCheckboxFieldTrueImage

  - ### printHeaderStyle

    public String printHeaderStyle

  - ### printMaxRows

    public String printMaxRows

  - ### printWrapCells

    public String printWrapCells

  - ### quickDrawAheadRatio

    public String quickDrawAheadRatio

  - ### rangeRowCountFormat

    public String rangeRowCountFormat

  - ### recordBaseStyleProperty

    public String recordBaseStyleProperty

  - ### recordCanRemoveProperty

    public String recordCanRemoveProperty

  - ### recordCanSelectProperty

    public String recordCanSelectProperty

  - ### recordCellRoleProperty

    public String recordCellRoleProperty

  - ### recordComponentHeight

    public String recordComponentHeight

  - ### recordComponentPoolingMode

    public String recordComponentPoolingMode

  - ### recordComponentPosition

    public String recordComponentPosition

  - ### recordDetailDSProperty

    public String recordDetailDSProperty

  - ### recordDropAppearance

    public String recordDropAppearance

  - ### recordEditProperty

    public String recordEditProperty

  - ### recordEnabledProperty

    public String recordEnabledProperty

  - ### recordRadius

    public String recordRadius

  - ### recordRadiusTargets

    public String[] recordRadiusTargets

  - ### recordRowAriaStateProperty

    public String recordRowAriaStateProperty

  - ### recordRowRoleProperty

    public String recordRowRoleProperty

  - ### recordScreen

    public String recordScreen

  - ### recordShowRollOverProperty

    public String recordShowRollOverProperty

  - ### recordSummaryAttributePrefix

    public String recordSummaryAttributePrefix

  - ### recordSummaryBaseStyle

    public String recordSummaryBaseStyle

  - ### removedCSSText

    public String removedCSSText

  - ### removeFieldTitle

    public String removeFieldTitle

  - ### removeIcon

    public String removeIcon

  - ### removeIconSize

    public String removeIconSize

  - ### removeIconStyle

    public String removeIconStyle

  - ### reselectOnUpdate

    public String reselectOnUpdate

  - ### reselectOnUpdateNotifications

    public String reselectOnUpdateNotifications

  - ### resizeFieldsInRealTime

    public String resizeFieldsInRealTime

  - ### reverseRTLAlign

    public String reverseRTLAlign

  - ### rotatedHeaderMenuButtonHeightAsString

    public String rotatedHeaderMenuButtonHeightAsString

  - ### rotatedHeaderMenuButtonWidth

    public String rotatedHeaderMenuButtonWidth

  - ### rotateHeaderTitles

    public String rotateHeaderTitles

  - ### rowAriaState

    public String rowAriaState

  - ### rowCountDisplayPrecision

    public String rowCountDisplayPrecision

  - ### rowEndEditAction

    public String rowEndEditAction

  - ### rowLocatorFieldAsString

    public String rowLocatorFieldAsString

  - ### rowNumberStart

    public String rowNumberStart

  - ### rowNumberStyle

    public String rowNumberStyle

  - ### rowRangeDisplayStyle

    public String rowRangeDisplayStyle

  - ### rowRangeFormat

    public String rowRangeFormat

  - ### rowRole

    public String rowRole

  - ### rowSpanEditMode

    public String rowSpanEditMode

  - ### rowSpanSelectionMode

    public String rowSpanSelectionMode

  - ### saveByCell

    public String saveByCell

  - ### saveCriteriaInViewState

    public String saveCriteriaInViewState

  - ### saveDefaultSearch

    public String saveDefaultSearch

  - ### savedSearchAdminRole

    public String savedSearchAdminRole

  - ### savedSearchDS

    public String savedSearchDS

  - ### savedSearchStoredState

    public String savedSearchStoredState

  - ### savedSearchText

    public String savedSearchText

  - ### saveLocally

    public String saveLocally

  - ### screenReaderCellSeparator

    public String screenReaderCellSeparator

  - ### screenReaderIncludeFieldTitles

    public String screenReaderIncludeFieldTitles

  - ### screenReaderNavigateByCell

    public String screenReaderNavigateByCell

  - ### screenReaderRowSeparator

    public String screenReaderRowSeparator

  - ### screenReaderWriteRowLabelledBy

    public String screenReaderWriteRowLabelledBy

  - ### scrollRedrawDelay

    public String scrollRedrawDelay

  - ### scrollToCellXPosition

    public String scrollToCellXPosition

  - ### scrollToCellYPosition

    public String scrollToCellYPosition

  - ### scrollWheelRedrawDelay

    public String scrollWheelRedrawDelay

  - ### searchFormAsDynamicForm

    public DynamicForm searchFormAsDynamicForm

  - ### searchFormAsValuesManager

    public ValuesManager searchFormAsValuesManager

  - ### searchFormAsString

    public String searchFormAsString

  - ### selectCellTextOnClick

    public String selectCellTextOnClick

  - ### selectedState

    public String selectedState

  - ### selectHeaderOnSort

    public String selectHeaderOnSort

  - ### selectionAppearance

    public String selectionAppearance

  - ### selectionProperty

    public String selectionProperty

  - ### selectionType

    public String selectionType

  - ### selectOnEdit

    public String selectOnEdit

  - ### selectOnExpandRecord

    public String selectOnExpandRecord

  - ### separatorRowStyle

    public String separatorRowStyle

  - ### showAllColumns

    public String showAllColumns

  - ### showAllRecords

    public String showAllRecords

  - ### showAsynchGroupingPrompt

    public String showAsynchGroupingPrompt

  - ### showBackgroundComponents

    public String showBackgroundComponents

  - ### showCellContextMenus

    public String showCellContextMenus

  - ### showClippedHeaderTitlesOnHover

    public String showClippedHeaderTitlesOnHover

  - ### showClippedValuesOnHover

    public String showClippedValuesOnHover

  - ### showCollapsedGroupSummary

    public String showCollapsedGroupSummary

  - ### showDetailFields

    public String showDetailFields

  - ### showDropLines

    public String showDropLines

  - ### showDropOverRollOver

    public String showDropOverRollOver

  - ### showEllipsisWhenClipped

    public String showEllipsisWhenClipped

  - ### showEmptyMessage

    public String showEmptyMessage

  - ### showErrorIcons

    public String showErrorIcons

  - ### showExpansionEditorSaveButton

    public String showExpansionEditorSaveButton

  - ### showFilterEditor

    public String showFilterEditor

  - ### showFilterEditorHovers

    public String showFilterEditorHovers

  - ### showFilterEditorTitle

    public String showFilterEditorTitle

  - ### showFilterWindowCriteriaIndicator

    public String showFilterWindowCriteriaIndicator

  - ### showGridSummary

    public String showGridSummary

  - ### showGroupSummary

    public String showGroupSummary

  - ### showGroupSummaryInHeader

    public String showGroupSummaryInHeader

  - ### showGroupTitleColumn

    public String showGroupTitleColumn

  - ### showGroupTitleInFrozenBody

    public String showGroupTitleInFrozenBody

  - ### showHeader

    public String showHeader

  - ### showHeaderContextMenu

    public String showHeaderContextMenu

  - ### showHeaderMenuButton

    public String showHeaderMenuButton

  - ### showHeaderPartialSelection

    public String showHeaderPartialSelection

  - ### showHeaderSeparators

    public String showHeaderSeparators

  - ### showHeaderShadow

    public String showHeaderShadow

  - ### showHeaderSpanContextMenu

    public String showHeaderSpanContextMenu

  - ### showHeaderSpanTitlesInFormulaBuilder

    public String showHeaderSpanTitlesInFormulaBuilder

  - ### showHeaderSpanTitlesInHiliteEditor

    public String showHeaderSpanTitlesInHiliteEditor

  - ### showHeaderSpanTitlesInSortEditor

    public String showHeaderSpanTitlesInSortEditor

  - ### showHilitesInGroupSummary

    public String showHilitesInGroupSummary

  - ### showHover

    public String showHover

  - ### showHoverComponents

    public String showHoverComponents

  - ### showHoverOnDisabledCells

    public String showHoverOnDisabledCells

  - ### showInitialDragHandles

    public String showInitialDragHandles

  - ### showLastHeaderSeparators

    public String showLastHeaderSeparators

  - ### showNewRecordRow

    public String showNewRecordRow

  - ### showPartialSelection

    public String showPartialSelection

  - ### showPreRenderTransition

    public String showPreRenderTransition

  - ### showRecordComponents

    public String showRecordComponents

  - ### showRecordComponentsByCell

    public String showRecordComponentsByCell

  - ### showRollOver

    public String showRollOver

  - ### showRollOverCanvas

    public String showRollOverCanvas

  - ### showRollOverInExpansion

    public String showRollOverInExpansion

  - ### showRollUnderCanvas

    public String showRollUnderCanvas

  - ### showRowNumbers

    public String showRowNumbers

  - ### showSelectedRollOverCanvas

    public String showSelectedRollOverCanvas

  - ### showSelectedRollUnderCanvas

    public String showSelectedRollUnderCanvas

  - ### showSelectedStyle

    public String showSelectedStyle

  - ### showSelectionCanvas

    public String showSelectionCanvas

  - ### showSelectionUnderCanvas

    public String showSelectionUnderCanvas

  - ### showSortArrow

    public String showSortArrow

  - ### showSortNumerals

    public String showSortNumerals

  - ### showTreeColumnPicker

    public String showTreeColumnPicker

  - ### shrinkForFreeze

    public String shrinkForFreeze

  - ### singleCellValueProperty

    public String singleCellValueProperty

  - ### skinImgDir

    public String skinImgDir

  - ### skipClipDiv

    public String skipClipDiv

  - ### skipLineBreaks

    public String skipLineBreaks

  - ### sortArrowMenuButtonSpaceOffset

    public String sortArrowMenuButtonSpaceOffset

  - ### sortAscendingImageAsString

    public String sortAscendingImageAsString

  - ### sortAscendingImageAsImgHTMLProperties

    public ImgHTMLProperties sortAscendingImageAsImgHTMLProperties

  - ### sortBinaryByFileName

    public String sortBinaryByFileName

  - ### sortByGroupFirst

    public String sortByGroupFirst

  - ### sortDescendingImageAsString

    public String sortDescendingImageAsString

  - ### sortDescendingImageAsImgHTMLProperties

    public ImgHTMLProperties sortDescendingImageAsImgHTMLProperties

  - ### sortDirection

    public String sortDirection

  - ### sortEditorSpanTitleSeparator

    public String sortEditorSpanTitleSeparator

  - ### sorterButtonTitle

    public String sorterButtonTitle

  - ### sortFieldAsString

    public String sortFieldAsString

  - ### sortFieldAscendingText

    public String sortFieldAscendingText

  - ### sortFieldDescendingText

    public String sortFieldDescendingText

  - ### sortNumeralMenuButtonSpaceOffset

    public String sortNumeralMenuButtonSpaceOffset

  - ### sortNumeralStyle

    public String sortNumeralStyle

  - ### sortState

    public String sortState

  - ### spannedHeaderBaseStyle

    public String spannedHeaderBaseStyle

  - ### stopOnErrors

    public String stopOnErrors

  - ### styledRowEnds

    public String styledRowEnds

  - ### styleName

    public String styleName

  - ### summaryRowCriteria

    public Criteria summaryRowCriteria

  - ### summaryRowDataSource

    public DataSource summaryRowDataSource

  - ### summaryRowHeight

    public String summaryRowHeight

  - ### summaryRowStyle

    public String summaryRowStyle

  - ### tableRowStyle

    public String tableRowStyle

  - ### tallBaseStyle

    public String tallBaseStyle

  - ### touchScrollRedrawDelay

    public String touchScrollRedrawDelay

  - ### trackerImageAsString

    public String trackerImageAsString

  - ### trackerImageAsImgHTMLProperties

    public ImgHTMLProperties trackerImageAsImgHTMLProperties

  - ### unfreezeFieldText

    public String unfreezeFieldText

  - ### ungroupText

    public String ungroupText

  - ### unknownRowCountDisplayValue

    public String unknownRowCountDisplayValue

  - ### unremoveIcon

    public String unremoveIcon

  - ### updateSummariesDuringEditing

    public String updateSummariesDuringEditing

  - ### useAdvancedCriteria

    public String useAdvancedCriteria

  - ### useAdvancedFieldPicker

    public String useAdvancedFieldPicker

  - ### useCellRollOvers

    public String useCellRollOvers

  - ### useClientFiltering

    public String useClientFiltering

  - ### useCopyPasteShortcuts

    public String useCopyPasteShortcuts

  - ### useInlineEditors

    public String useInlineEditors

  - ### useInlineFilterEditors

    public String useInlineFilterEditors

  - ### useLegacyDefaultFormattedValue

    public String useLegacyDefaultFormattedValue

  - ### useMultiSelectForFilterValueMaps

    public String useMultiSelectForFilterValueMaps

  - ### useRemoteValidators

    public String useRemoteValidators

  - ### useRowSpanStyling

    public String useRowSpanStyling

  - ### validateByCell

    public String validateByCell

  - ### validateOnChange

    public String validateOnChange

  - ### valueIconHeight

    public String valueIconHeight

  - ### valueIconLeftPadding

    public String valueIconLeftPadding

  - ### valueIconRightPadding

    public String valueIconRightPadding

  - ### valueIconSize

    public String valueIconSize

  - ### valueIconWidth

    public String valueIconWidth

  - ### viewState

    public String viewState

  - ### virtualScrolling

    public String virtualScrolling

  - ### waitForSave

    public String waitForSave

  - ### warnOnRemoval

    public String warnOnRemoval

  - ### warnOnRemovalMessage

    public String warnOnRemovalMessage

  - ### warnOnUnmappedValueFieldChange

    public String warnOnUnmappedValueFieldChange

  - ### wrapCells

    public String wrapCells

  - ### wrapHeaderSpanTitles

    public String wrapHeaderSpanTitles

  - ### wrapHeaderTitles

    public String wrapHeaderTitles

- ## Constructor Details

  - ### ListGridLogicalStructure

    public ListGridLogicalStructure()